from resources.lib.gui.renderers.dialog_renderer import DialogRenderer
from resources.lib.utils.kodiutils import get_string, notification, show_settings
from resources.lib.storage.settings import settings
from resources.lib.kodilogging import logger
from resources.lib.const import SETTINGS, MEDIA_TYPE
import xbmc
import xbmcvfs
from os.path import join

def normalizeName(name):
    name = name.replace(': ', '_')
    name = name.replace(':', '_')
    name = name.replace('*', '.')
    return name

def add_movie(mf):
    logger.debug("---------------------------------")
    originalTitle   = xbmc.getInfoLabel("ListItem.Originaltitle").decode('utf-8')
    originalTitle   = normalizeName(originalTitle)
    year            = xbmc.getInfoLabel("ListItem.Year")
    moviePath       = xbmc.getInfoLabel("ListItem.FileNameAndPath")

    dirName = mf + originalTitle + ' (' + year + ')'

    if not xbmcvfs.exists(dirName):
        xbmcvfs.mkdir(dirName)
    strmFileName    = join(dirName, originalTitle + ' (' + year + ')' + '.strm')

    file            = xbmcvfs.File(strmFileName, 'w')
    file.write(str(moviePath))
    file.close()
    # eventualne hodit notifikaciu
    # notification('Added to library', 'Movie %s was successfully added to library' % originalTitle)
    # notification(get_string(30405), get_string(30406) % originalTitle)
    xbmc.executebuiltin('UpdateLibrary(video)')

def addTVShow(tf):
    # ToDo:
    originalTitle   = xbmc.getInfoLabel("ListItem.Originaltitle").decode('utf-8')
    originalTitle   = normalizeName(originalTitle)
    year            = xbmc.getInfoLabel("ListItem.Year")

    dirName = tf + originalTitle + ' (' + year + ')'


def add_to_library(handle):
    dbtype  = xbmc.getInfoLabel("ListItem.dbtype")
    if dbtype == MEDIA_TYPE.MOVIE:
        mf = settings[SETTINGS.MOVIE_LIBRARY_FOLDER]
        add_movie(mf)

    # ToDo:
    #if (dbtype == MEDIA_TYPE.TV_SHOW):
        # tf = settings[SETTINGS.TVSHOW_LIBRARY_FOLDER]
        # addTVShow(tf)